PassEnv SSODOMAIN LOCALDOMAIN

<VirtualHost *:443>

    ServerName "forms-www.${SSODOMAIN}"
    ServerAlias "forms-www.${LOCALDOMAIN}"

    SSLEngine on
    SSLCertificateFile "/usr/local/apache2/certs/server.crt"
    SSLCertificateKeyFile "/usr/local/apache2/certs/server.key"

    DBDriver pgsql
    DBDParams "dbname=postgres user=postgres password=postgres"
    DBDMin 1
    DBDKeep 3
    DBDMax 5
    DBDExptime 300

    <Location "/nash-admin">
        AuthType Basic
        AuthName "Guichet Entreprise / Nouvelles Formalités"
        AuthBasicProvider socache dbd
        AuthnCacheProviderFor dbd
        AuthnCacheContext sso-admin
        AuthDBDUserPWQuery "SELECT password, email, display_name FROM sso_user WHERE login = %s"

        Require valid-user

        Header always set Auth-User "%{REMOTE_USER}e"
        Header always set Display-Name "%{AUTHENTICATE_email}e"
        Header always set User-Mail "%{AUTHENTICATE_display_name}e"
    </Location>

    RequestHeader set X-GE-ID "2017-01-JON-DOE-42"
    RequestHeader set X-GE-ACCOUNT ""

    ProxyPass "/" "http://admin:8080/" retry=5
    ProxyPassReverse "/" "http://admin:8080/"

</VirtualHost>
